## EDU.oswego.cs.dl.util.concurrent
Class FJTask.Wrap

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.FJTask
          EDU.oswego.cs.dl.util.concurrent.FJTask.Wrap

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  FJTask

    public static class FJTask.Wrap

extends FJTask

A FJTask that holds a Runnable r, and calls r.run when executed. The class is a simple utilty to allow arbitrary Runnables to be used as FJTasks.

Nested Class Summary

Nested classes/interfaces inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`FJTask.Par, FJTask.Par2, FJTask.Seq, FJTask.Seq2, FJTask.Wrap`

Field Summary
`protected java.lang.Runnable` `runnable`

Constructor Summary
`FJTask.Wrap(java.lang.Runnable r)`

Method Summary
`void` `run()`

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.FJTask
`cancel, coInvoke, coInvoke, fork, getFJTaskRunner, getFJTaskRunnerGroup, invoke, isDone, join, par, par, reset, seq, seq, setDone, start, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runnable

    protected final java.lang.Runnable runnable

Constructor Detail

### FJTask.Wrap

    public FJTask.Wrap(java.lang.Runnable r)

Method Detail

### run

    public void run()